/**
 * framabook.css
 *
 * Règles de style communes à toutes les pages de tous les framabooks.
 * Les règles spécifiques à un livre devraient être dans une autre feuille de
 * style, e.g. framabook-tuto-epub.css
 *
 * On distingue quatre partitions EPUB, applicables à <body> ou <section> :
 *   cover, frontmatter, bodymatter, backmatter
 *   http://www.idpf.org/epub/vocab/structure/#h_partitions
 *
 * … et cinq niveaux de divisions EPUB, applicables à <body> ou <section> :
 *   volume, part, chapter, subchapter, division
 *   http://www.idpf.org/epub/vocab/structure/#h_divisions
 *
 * Les classes préfixées .epub- sont associées aux éléments EPUB éponymes,
 *   e.g. .epub-footnotes est associée à <aside epub:type="footnotes">
 * Les classes non préfixées sont applicables à n’importe quel élément XHTML.
 */

/*******************************************************************************
 * Titres
 * On prévoit des styles spécifiques aux 3 premiers niveaux de division EPUB :
 *
 *   epub:volume      <h1>      .titre-volume
 *   epub:part        <h1>      .titre-partie   (optionnel)
 *   epub:chapter     <h2>      .titre-chapitre
 *   epub:subchapter  <h3>
 *   epub:division    <h[456]>
 *
 * Référence : http://www.idpf.org/epub/vocab/structure/#h_divisions
 * Voir aussi : http://www.idpf.org/epub/vocab/structure/#h_titles
 */

/* aide à la relecture -- désactiver cette ligne avant publication de l’EPUB */
/* @import url(relecture.css);

/* chargement du style propre aux livres de Fred. Supprimer pour les autres livres */
@import url(fredurbain.css);
/*****************************************************************************/

/* largeur optimisée pour la lecture */
body {
  max-width:48em;
  margin: 0 auto;
}
h1, h2, h3, h4, h5, h6 {
  font-family: sans-serif;
  font-weight: bold;
}

/* titre du livre : <h1> */
.titre-volume {
  page-break-before: always;
  margin-top: 30%;
  font-size: 2em;
}
.titre-volume .epub-subtitle {
  display: block;
  font-size: 0.75em;
}

/* titre de partie du livre : <h1> */
.titre-partie {
  page-break-before: always;
  margin-top: 30%;
  padding: 1em 0;
  border-bottom: 1px solid;
  border-top: 1px solid;
  font-size: 2em;
}
.titre-partie .numero-partie {
/*  font-variant: small-caps; */
  text-transform: uppercase;
  font-size: smaller;
}
.titre-partie .epub-subtitle {
  display: block;
  font-size: 0.75em;
}

/* titre de chapitre : <h2>
 * - le numéro du chapitre peut être placé au-dessus du nom du chapitre
 *   s’il est dans un <span class="numero-chapitre"> */
.titre-chapitre {
  page-break-before: always;
  margin-top: 30%;
  padding: 1em 0;
  border-bottom: 1px solid;
  border-top: 1px solid;
  text-align: right;
}
.titre-chapitre .numero-chapitre {
  display: block;
  float: right;
  margin-top: -2.5em;
}
.titre-chapitre .epub-subtitle {
  display: block;
}
.titre-chapitre::after {
  content: "";
  clear: both;
}

/* pour les titres de sous-chapitres (h[23456]), la classe .titre-paragraphe
 * permet d’inclure le titre dans le bloc de texte qui suit */
.titre-paragraphe, .titre-paragraphe + p {
  display: inline;
}
.titre-paragraphe::before, .titre-paragraphe + p::after {
  content: "";
  display: block;
  margin-bottom: 1em; /* idem p et br */
}


/*******************************************************************************
 * EPUB cover: "The publications cover(s), jacket information, etc."
 * http://www.idpf.org/epub/vocab/structure/#h_partitions
 */

.epub-cover {
  text-align: center;
}

.epub-cover img {
  max-height: 100%;
  max-width: 100%;
}

.epub-cover p {
  text-indent: 0;
}
.epub-cover .signature {
  padding: 1.5em 0;
  margin-top: 5em;
  border-top: 1px solid #000;
  border-bottom: 1px solid #000;
  text-align: center;
  font-size: 1.5em;
}

.licence .logo {
  /* width: 10em; */
  margin: 0 auto;
  padding: 1em 0;
  border-top: 1px solid;
  text-align: center;
}

/*******************************************************************************
 * Listes génériques XHTML
 * utilisées dans le corps du document
 */

.liste-alpha {
  list-style-type: lower-alpha;
}

/* liste de type index alphabétique : glossaire, bibliographie…
 * = séparateurs du type <h3>A</h3> + listes du type <ol>, <ul> ou <dl> */
.index-alpha h3 {
  font-size: 2em;
  margin: 1em 0 0 0.2em;
}
.index-alpha ol,
.index-alpha ul,
.index-alpha dl {
  margin-top: 0;
  list-style-type: none;
  font-family: sans-serif;
}
.index-alpha .auteur {
  font-weight: bold;
}

/* listes de définitions “inline” :
 * même présentation que les paragraphes (text-indent & margin-bottom) */
dl.liste-paragraphe dt {
  display: inline;
  font-weight: bold;
  margin-left: 2em;
}
dl.liste-paragraphe dd {
  text-indent: 2em;
  margin-left: 0;
  margin-bottom: 1em; /* idem p et br */
}
dl.liste-paragraphe dt + dd {
  display: inline;
}
dl.liste-paragraphe dt + dd::after {
  content: "";
  display: block;
  margin-bottom: 1em; /* idem p et br */
}


/*******************************************************************************
 * Listes de références EPUB
 * utilisées en annexe ou en pied de page
 */

/* références : http://www.idpf.org/epub/vocab/structure/#h_references
 * - la première ligne de chaque entrée est en retrait */
.epub-appendix dl.liste-paragraphe {
  padding-left: 3em;
}
.epub-appendix dl.liste-paragraphe dt {
  margin-left: -2em;
  margin-top: 0.2em;
}
.epub-appendix ol,
.epub-appendix ul {
  list-style-type: none;
  padding-left: 2em;
}
.epub-appendix li {
  text-indent: -1em;
  margin-top: 0.2em;
}

/* notes de bas de page */
.epub-footnotes {
  border-top: 1px solid;
}
.epub-footnotes ol,
.epub-footnotes ul {
  list-style-type: none;
}
.epub-footnotes ol li,
.epub-footnotes ul li {
  padding-bottom: 1em;
}


/*******************************************************************************
 * Table des matières EPUB
 * http://www.idpf.org/epub/30/spec/epub30-contentdocs.html#sec-xhtml-nav-def
 */

.epub-toc ol {
  list-style-type: none;
}
.epub-toc > ol > li {
  margin-top: 0.5em;
  font-weight: bold;
  font-size: 1.15em;
}
.epub-toc li {
  font-weight: normal;
  font-size: 0.87em;
}
.epub-toc li a {
  color: #000;
  text-decoration: none;
}
.epub-toc li a:hover {
  text-decoration: underline;
}
.epub-toc ol ol ol {
  display: none; /* limitation à 2 niveaux de chapitres */
}


/*******************************************************************************
 * Contenu principal
 */

/* paragraphes */
p {
  text-indent: 2em;
}
br, p {
  margin-bottom: 1em;
}
.lettrine:first-letter {
  font-size: 2.2em;
}

  q::after{ 
  quotes: none;
}

  q::before { 
  quotes: none;
}

/* tableaux */
table {
  margin: 2em auto;
  text-align: center;
  border-collapse: collapse;
}
td, th {
  border: 1px solid #000;
}
th {
  background-color: #ddd;
  padding: 0.5em;
}
caption {
  font-size: 0.8em;
  font-family: sans-serif;
  padding: 0 0 0.8em 0;
}

/* code */
pre, code {
  background-color: #ddd;
  font-family: monospace;
}
pre {
  padding-left: 2em;
}

/* auteurs & citations
 * TODO: définir un microformat plus générique */
blockquote, .citation {
  padding: 1em 2em;
}
.auteur {
/*  font-variant: small-caps; */
  text-transform: uppercase;
  font-size: smaller;
}
.signature,
.auteur-epigraph {
  text-align: right;
  padding-bottom: 1.5em;
}
.epigraph,
.epub-epigraph {
  margin-left: 25%;
  padding: 1em 5em;
  text-align: right;
  font-size: 0.75em;
}

/* numérotation */
.chiffre-romain {
  font-variant: small-caps;
}
.chiffre-romain sup {
  font-variant: normal;
}
